<form method="post" [formGroup]="bbsForm" (ngSubmit)="onSubmit()">
  <label>
    User_ID
    <input type="number" formControlName="userId" required>
  </label>
  <label>
    Title
    <input type="text" formControlName="title" required>
  </label>
  <label>
    Content
    <input type="text" formControlName="content" required>
  </label>
  <button type="submit" [disabled]="!bbsForm.valid">Submit</button>
</form>

<div *ngFor="let result of results">
  <p>ID: {{result.id}}</p>
  <p>User_ID: {{result.user_id}}</p>
  <p>Date: {{timestampToDate(result.date)}}</p>
  <p>Title: {{result.title}}</p>
  <p>Content: {{result.content}}</p>
  <br>
</div>
